| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Prompt.RunOrRaise

Portability | unportable
Stability | unstable
Maintainer | mail@justinbogner.com

Contents

Usage

Description
A prompt for XMonad which will run a program, open a file, or raise an already running program, depending on context.
Synopsis

runOrRaisePrompt :: XPConfig -> X ()

Usage

1. In your `~/.xmonad/xmonad.hs`:

     import XMonad.Prompt
     import XMonad.Prompt.RunOrRaise

2. In your keybindings add something like:

       , ((modMask x .|. controlMask, xK_x), runOrRaisePrompt defaultXPConfig)

For detailed instruction on editing the key binding see XMonad.Doc.Extending.

runOrRaisePrompt :: XPConfig -> X () | Source

Produced by Haddock version 2.4.2